Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Niko Tyni <ntyni <at> debian.org>
Subject: Bug#486066: pike7.6-perl: broken on hppa
Newsgroups: gmane.linux.debian.devel.bugs.rc
Date: Friday 13th June 2008 06:04:09 UTC (over 8 years ago)
clone 486066 -1
retitle -1 perl: embedding problems on hppa
reassign -1 perl 5.10.0-10
severity -1 serious
block 486066 with -1
thanks

On Fri, Jun 13, 2008 at 08:46:36AM +0300, Niko Tyni wrote:
> Package: pike7.6-perl
> Version: 7.6.112-2
> Severity: grave
> Justification: renders package unusable
> 
> From the buildd log:
> 
>  ## Configuring module: Perl
>  [...]
>  checking if perl is embeddable... no
> 
>  [...]
> 
>  build information:
>  [...]
>  Perl................ no (dependencies failed)
> 
> 
> The resulting plugin file (./usr/lib/pike/7.6.112/modules/Perl.so)
> is only 3.5k and doesn't link against libperl, so it's clearly
> broken.
> 
> The bug is in libperl-dev: the attached autoconf test program from
> src/modules/Perl/configure.in exits with a timeout after 10 seconds on
> hppa. I'll clone this against perl and block accordingly.
> 
> That said, there's also a sourceful bug in pike7.6 because the build
> doesn't fail on such an error but produces a broken package instead.

Cloning now. I see the speedy-cgi-perl test suite failed with a timeout
on hppa, that might be related.

The problem was introduced with perl 5.10.0, as pike7.6 7.6.112-1 built
fine but 7.6.112-1+b1 didn't. However, libperl embedding isn't totally
broken because the pperl test suite works on 5.10.0.

I have access to an hppa host where the bug is reproducible, so I'll
look into it more when I have the time.

Marking the perl bug 'serious' for now, at least until we know how many
packages this affects.
-- 
Niko Tyni   [email protected]
 
CD: 15ms